D-Bus 1.14.8

Data Fields
DBusStat Struct Reference
D-Bus secret internal implementation details » Internal system-dependent API

Portable struct with stat() results. More...

`#include <dbus-sysdeps.h>`

## Data Fields
unsigned long | mode
| File mode.
unsigned long | nlink
| Number of hard links.
dbus_uid_t | uid
| User owning file.
dbus_gid_t | gid
| Group owning file.
unsigned long | size
| Size of file.
unsigned long | atime
| Access time.
unsigned long | mtime
| Modify time.
unsigned long | ctime
| Creation time.

## Detailed Description

Portable struct with stat() results.

Definition at line 549 of file dbus-sysdeps.h.

## Field Documentation

## ◆ atime

unsigned long DBusStat::atime

Access time.

Definition at line 556 of file dbus-sysdeps.h.

Referenced by _dbus_stat().

## ◆ ctime

unsigned long DBusStat::ctime

Creation time.

Definition at line 558 of file dbus-sysdeps.h.

Referenced by _dbus_stat().

## ◆ gid

dbus_gid_t DBusStat::gid

Group owning file.

Definition at line 554 of file dbus-sysdeps.h.

Referenced by _dbus_stat().

## ◆ mode

unsigned long DBusStat::mode

File mode.

Definition at line 551 of file dbus-sysdeps.h.

Referenced by _dbus_stat().

## ◆ mtime

unsigned long DBusStat::mtime

Modify time.

Definition at line 557 of file dbus-sysdeps.h.

Referenced by _dbus_stat().

## ◆ nlink

unsigned long DBusStat::nlink

Number of hard links.

Definition at line 552 of file dbus-sysdeps.h.

Referenced by _dbus_stat().

## ◆ size

unsigned long DBusStat::size

Size of file.

Definition at line 555 of file dbus-sysdeps.h.

Referenced by _dbus_stat().

## ◆ uid

dbus_uid_t DBusStat::uid

User owning file.

Definition at line 553 of file dbus-sysdeps.h.

Referenced by _dbus_is_console_user(), and _dbus_stat().

The documentation for this struct was generated from the following file:

- dbus-sysdeps.h